#!/bin/bash

CMEM_BLOCK_0="phys_start=0x826000000 phys_end=0x880000000 pools=1x1509949440"
CMEM_BLOCK_1="phys_start_1=0x0C040000 phys_end_1=0x0C500000"
CMEM_BLOCK_2="phys_start_2=0x8C0000000 phys_end_2=0xA00000000 pools_2=1x5368709120"
CMEM_BLOCK_3=""


if [ $# -ne 1 ]
then
echo "Usage: $0 <TARGET_ROOTDIR>"
exit -1;
fi

if [ ! -d $1 ]
then
echo "Error: $1 is not a directory"
exit -2;
fi


if [ -e $1/etc/modules ]
then
sed -e "s|^cmemk|# Overriding with MCSDK HPC default (`date`)\n#cmemk|g" -i $1/etc/modules
fi

cat >> $1/etc/modules << EOF

# Default CMEM configuration for MCSDK HPC (`date`)
cmemk $CMEM_BLOCK_0 $CMEM_BLOCK_1 $CMEM_BLOCK_2 $CMEM_BLOCK_3 allowOverlap=1
EOF

if [ ! -d $1/etc/modules-load.d ]
then
mkdir $1/etc/modules-load.d
fi

if [ ! -e $1/etc/modules-load.d/cmem.conf ]
then

cat > $1/etc/modules-load.d/cmem.conf << EOF

# Default CMEM configuration for MCSDK HPC (`date`)
cmemk $CMEM_BLOCK_0 $CMEM_BLOCK_1 $CMEM_BLOCK_2 $CMEM_BLOCK_3 allowOverlap=1
EOF

fi

